Skip Menu |
 

This queue is for tickets about the SOAP-Lite CPAN distribution.

Report information
The Basics
Id: 95613
Status: open
Priority: 0/
Queue: SOAP-Lite

People
Owner: Nobody in particular
Requestors: corion [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.11
Fixed in: (no value)

Attachments
0001-Use-LWP-Protocol-https-as-prerequisite-for-HTTPS-sup.patch



Subject: SOAP::Lite should depend on LWP::Protocol::https, not on Crypt::SSLeay
Download (untitled) / with headers
text/plain 351b
Hello all, SOAP::Lite does not actually depend on Crypt::SSLeay even though the Makefile.PL specifies that. The dependency in the Makefile.PL should be changed to LWP::Protocl::https, thus pulling in IO::Socket::SSL on which SOAP::Lite also already depends. This will make it easier to do automatically install modules depending on SOAP::Lite. -max
Subject: Re: [rt.cpan.org #95613] SOAP::Lite should depend on LWP::Protocol::https, not on Crypt::SSLeay
Date: Wed, 14 May 2014 12:54:25 -0700
To: bug-SOAP-Lite [...] rt.cpan.org
From: Fred Moyer <fred [...] redhotpenguin.com>
Download (untitled) / with headers
text/plain 880b
Patches welcome :) On Tue, May 13, 2014 at 8:07 AM, Max Maischein via RT <bug-SOAP-Lite@rt.cpan.org> wrote: Show quoted text
> Tue May 13 11:07:42 2014: Request 95613 was acted upon. > Transaction: Ticket created by CORION > Queue: SOAP-Lite > Subject: SOAP::Lite should depend on LWP::Protocol::https, not on > Crypt::SSLeay > Broken in: 1.11 > Severity: (no value) > Owner: Nobody > Requestors: corion@cpan.org > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=95613 > > > > Hello all, > > SOAP::Lite does not actually depend on Crypt::SSLeay even though the Makefile.PL specifies that. The dependency in the Makefile.PL should be changed to LWP::Protocl::https, thus pulling in IO::Socket::SSL on which SOAP::Lite also already depends. > > This will make it easier to do automatically install modules depending on SOAP::Lite. > > -max
Subject: Re: [rt.cpan.org #95613] SOAP::Lite should depend on LWP::Protocol::https, not on Crypt::SSLeay
Date: Wed, 14 May 2014 22:55:07 +0200
To: bug-SOAP-Lite [...] rt.cpan.org
From: Max Maischein <corion [...] cpan.org>
Download (untitled) / with headers
text/plain 374b
Hello Fred, Am 14.05.2014 21:54, schrieb fred@redhotpenguin.com via RT: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=95613 > > > Patches welcome :)
I've attached the (very, very minuscule) patch. All tests still pass for me, but if you have a really clean Perl that never had Crypt::SSLeay installed, please verify that things (like SSL) still work. Thanks, -max

Message body is not shown because sender requested not to inline it.

Download (untitled) / with headers
text/plain 271b
On Wed May 14 16:55:27 2014, CORION wrote: More specifically, Crypt::SSLeay is being retired, and as noted by the author, nothing should depend on it. If you *must* have low level SSL interactions, then the requirement can be met with Net::SSLeay, which is maintained.
From: tschoening [...] am-soft.de
Download (untitled) / with headers
text/plain 435b
Am Di 13. Mai 2014, 11:07:42, CORION schrieb: Show quoted text
> This will make it easier to do automatically install modules depending > on SOAP::Lite.
+1, because SOAP::Lite is currently not distributable with ppm on current stable versions of ActiveState Perl in community edition. Please apply the patch, LWP::Protocol::https seems to be available. https://code.activestate.com/ppm/SOAP-Lite/ https://code.activestate.com/ppm/LWP-Protocol-https/
Subject: Re: [rt.cpan.org #95613] SOAP::Lite should depend on LWP::Protocol::https, not on Crypt::SSLeay
Date: Mon, 2 Mar 2015 10:11:03 -0800
To: bug-SOAP-Lite [...] rt.cpan.org
From: Fred Moyer <fred [...] redhotpenguin.com>
Download (untitled) / with headers
text/plain 714b
Hi Max, Can you make a pull request on github based on this patch? The repository is here - https://github.com/redhotpenguin/soaplite On Wed, May 14, 2014 at 1:55 PM, Max Maischein via RT <bug-SOAP-Lite@rt.cpan.org> wrote: Show quoted text
> Queue: SOAP-Lite > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=95613 > > > Hello Fred, > > Am 14.05.2014 21:54, schrieb fred@redhotpenguin.com via RT:
>> <URL: https://rt.cpan.org/Ticket/Display.html?id=95613 > >> >> Patches welcome :)
> > I've attached the (very, very minuscule) patch. All tests still pass for > me, but if you have a really clean Perl that never had Crypt::SSLeay > installed, please verify that things (like SSL) still work. > > Thanks, > -max >
Hello Fred, I'm sorry - your distribution seems to use Dist::Zilla and I don't know how it works. Just use the patch that I already attached for modifying the Makefile.PL and apply the appropriate magic to Dist::Zilla (or the dist.ini). Thanks, -max Am Mo 02. Mär 2015, 13:11:16, fred@redhotpenguin.com schrieb: Show quoted text
> Hi Max, > > Can you make a pull request on github based on this patch? The > repository is here - https://github.com/redhotpenguin/soaplite > > On Wed, May 14, 2014 at 1:55 PM, Max Maischein via RT > <bug-SOAP-Lite@rt.cpan.org> wrote:
> > Queue: SOAP-Lite > > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=95613 > > > > > Hello Fred, > > > > Am 14.05.2014 21:54, schrieb fred@redhotpenguin.com via RT:
> >> <URL: https://rt.cpan.org/Ticket/Display.html?id=95613 > > >> > >> Patches welcome :)
> > > > I've attached the (very, very minuscule) patch. All tests still pass for > > me, but if you have a really clean Perl that never had Crypt::SSLeay > > installed, please verify that things (like SSL) still work. > > > > Thanks, > > -max > >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.